package com.cool.bang.modules.business.domain;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.enums.StatusType;
import com.cool.bang.modules.approval.domain.ApprovalRecord;

import java.util.List;

/**
 * 资格申请
 *
 * @author Sy
 * 2024-11-14 15:14
 */
public class JobQualification extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 业务编码
     */
    private String businessNumber;

    /**
     * 客户id
     */
    private Integer customerId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 身份证正面照片
     */
    private String cardFrontUrl;

    /**
     * 身份证反面照片
     */
    private String cardBackUrl;

    /**
     * 无房证明
     */
    private String noHouseUrl;

    /**
     * 居住证
     */
    private String resideUrl;

    /**
     * 其他证明
     */
    private String otherUrl;

    /**
     * 流程号
     */
    private String flowNumber;

    /**
     * 流程节点id
     */
    private Long flowNodeId;

    /**
     * 流程节点名称
     */
    private String flowNodeName;

    /**
     * 业务状态 1待审核 2审核中 3申请成功 3申请退回
     */
    private Integer businessState;

    /**
     * 删除标识 1正常 0删除
     */
    private Integer delFlag;

    /** 审批节点 */
    private List<ApprovalRecord> approvalRecordList;


    @Override
    public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<ApprovalRecord> getApprovalRecordList() {
        return approvalRecordList;
    }

    public void setApprovalRecordList(List<ApprovalRecord> approvalRecordList) {
        this.approvalRecordList = approvalRecordList;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getCardFrontUrl() {
        return cardFrontUrl;
    }

    public void setCardFrontUrl(String cardFrontUrl) {
        this.cardFrontUrl = cardFrontUrl;
    }

    public String getCardBackUrl() {
        return cardBackUrl;
    }

    public void setCardBackUrl(String cardBackUrl) {
        this.cardBackUrl = cardBackUrl;
    }

    public String getNoHouseUrl() {
        return noHouseUrl;
    }

    public void setNoHouseUrl(String noHouseUrl) {
        this.noHouseUrl = noHouseUrl;
    }

    public String getResideUrl() {
        return resideUrl;
    }

    public void setResideUrl(String resideUrl) {
        this.resideUrl = resideUrl;
    }

    public String getOtherUrl() {
        return otherUrl;
    }

    public void setOtherUrl(String otherUrl) {
        this.otherUrl = otherUrl;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Long getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Long flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
